<template>
	<div style="height: 100%">
        <menu-component></menu-component>

        <router-view></router-view>

        <popup_main_menu></popup_main_menu>

<!--        <popup_info></popup_info>-->
<!--        @opened='onSuccessOpened'-->
        <modal
            name="success"
            adaptive
            width="400px"
            height="400px"
            transition='fade'
        >
            <div class="modal_message success">
                <div @click='$modal.hide("success")' class="close"><plus_svg></plus_svg></div>


                <div class="text">
                    {{$t('message.modal_message_success')}}
                    <br/>
                    {{$t('message.modal_message_success_text')}}
                </div>

                <button @click='$modal.hide("success");$router.push("/main")'>{{$t('message.next_step')}}</button>
            </div>
        </modal>
        <modal
            name="error"
            adaptive
            :clickToClose=false
            transition='fade'
            width="400px"
            height="400px"
        >
            <div class="modal_message warning">
                <div @click='$modal.hide("error")' class="close"><plus_svg></plus_svg></div>

                <lines_svg ></lines_svg>

                <div>
                    <div class="text" v-if="errors.email">{{errors.email[0]}}</div>
                    <div class="text" v-if="errors.password">{{errors.password[0]}}</div>
<!--                    <div class="text" v-if="errors.c_password">{{errors.c_password[0]}}</div>-->
                    <div class="text" v-if="errors.o_password">{{errors.o_password[0]}}</div>
                    <div class="text" v-if="errors.topic_id">{{errors.topic_id[0]}}</div>
                    <div class="text" v-if="errors.name">{{errors.name[0]}}</div>
                    <div class="text" v-if="errors.phone">{{errors.phone[0]}}</div>
                    <div class="text" v-if="errors.text">{{errors.text[0]}}</div>
                    <div class="text" v-if="errors.birthday">{{errors.birthday[0]}}</div>
                    <div class="message" v-if="errors.text">{{errors.text[0]}}</div>
                    <div class="message" v-if="phone_error">{{phone_error}}</div>
                    <div class="message" v-if="phone_is_exist">{{phone_error}}</div>

                    <br>
                    {{$t('message.form_refreshed')}}
                </div>

                <button @click='$modal.hide("error")'>{{$t('message.close')}}</button>
            </div>
        </modal>
        <modal
            name="send_code"
            adaptive
            width="400px"
            height="400px"
            transition='fade'
            @closed='sendCodeClose'
        >
            <div class="modal_message success">
                <div @click='$modal.hide("send_code")' class="close"><plus_svg></plus_svg></div>
                <div class="text sms_text">
                    {{$t('message.receive_sms_text')}}
                    <input type="text" v-model="code" class="sms_imput" :class="{'error': !code_is_valid}">
                    <div v-if="!code_is_valid" class="code_error">{{$t('message.code_error')}}</div>
                    <div v-if="phone_error" class="code_error">{{phone_error}}</div>
                </div>
                <button @click='send_code'>{{$t('message.continue')}}</button>
            </div>
        </modal>
	</div>
</template>

<script>
    import PopupMainMenu from "../components/PopupMainMenu";
    import PopupInfo from "../components/PopupInfo";

    import Squares from "../components/svg/icons/Squares";
    import Plus from "../components/svg/Plus";
    import Triangle from "../components/svg/icons/Triangles";
    import Lines from "../components/svg/icons/Lines";
    import Circles from "../components/svg/icons/Circles";
    import SquaresSmall from "../components/svg/icons/SquaresSmall";
    import SquaresBig from "../components/svg/icons/SquaresBig";

	export default {
		name: "Profile",
        data: () => {
		    return {
                code: '',
                code_is_valid: true,
            }
        },
        components: {
            "popup_main_menu": PopupMainMenu,
            "popup_info": PopupInfo,
            "squares_svg": Squares,
	        "plus_svg": Plus,
	        "triangle_svg": Triangle,
	        "lines_svg": Lines,
            "circles_svg": Circles,
            "squares_small_svg": SquaresSmall,
            "squares_big_svg": SquaresBig,
        },
        computed: {
		    errors: function () {
		        return this.$store.getters.errors;
            },
            phone_error: function () {
                return this.$store.getters.phone_err_msg;
            },
            phone_is_exist: function () {
                return this.$store.getters.phone_is_exist;
            },
        },
        methods: {
            send_code () {
                // this.$store.dispatch('validate_code', this.code);

                axios
                    .post('/register/validate_code', {code: this.code})
                    .then(response => {
                        this.code_is_valid = response.data.is_valid;
                        if(response.data.is_valid) {
                            this.$store.dispatch('update_profile', this.$store.state.to_update);
                            this.$modal.hide("send_co   de");
                        }
                    });
            },
            sendCodeClose () {
                this.$store.state.user.phone = 0;
                this.code = '';
                this.$store.dispatch('set_profile');
            },
        }
	}
</script>

